<app-usernavbar (onchangeLang)="changeLang($event)"></app-usernavbar>
<div class="wave"></div>

<div class="container mt-6 mb-4">
  <div class="row">
    <div class="col-xl-12 ">
      <div class="card bg-secondary shadow all-round">
        <div class="card-header bg-white border-0 top-round">
          <div class="row align-items-center">
            <div class="col-8">
              <h3 class="mb-0">{{'profiter.titre' | translate }}</h3>
            </div>
          </div>
        </div>
        <div class="card-body" style="padding-bottom: 100px;">

          <p>
            {{'profiter.text' | translate }}<br />
          </p>

          <mat-horizontal-stepper linear #stepper class="text-center all-round p-3">
            <mat-step [stepControl]="userForm">
              <form #userForm="ngForm">
                <ng-template matStepLabel>{{'profiter.VosInformations' | translate }}</ng-template>
                <div class="row">
                  <div class="col-xl-6 ">
                    <mat-form-field>
                      <mat-label>{{'form.Nom' | translate }}</mat-label>
                      <input matInput placeholder="{{'form.NomDonneur' | translate }}" [(ngModel)]="profit.nom"
                        name="nom" maxlength="40" #uname="ngModel" required />
                    </mat-form-field>
                    <br />
                    <mat-form-field>
                      <mat-label>{{'form.Prenom' | translate }}</mat-label>
                      <input matInput placeholder="{{'form.PrenomDonneur' | translate }}" [(ngModel)]="profit.prenom"
                        #uname="ngModel" maxlength="40" name="prenom" required />
                    </mat-form-field>

                    <br />
                    <mat-form-field>
                      <mat-label>{{'form.email' | translate }}</mat-label>
                      <input matInput placeholder="{{'form.email' | translate }}" type="email"
                        pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" [(ngModel)]="profit.Email" #uname="ngModel"
                        name="email" />
                    </mat-form-field>
                    <br />
                    <mat-form-field>
                      <mat-label>{{'form.tel' | translate }}:</mat-label>
                      <input matInput placeholder="{{'form.tel' | translate }}" type="text" [(ngModel)]="profit.tel"
                        #uname="ngModel" maxlength="8" name="tel" pattern='[0-9]{8,8}' required />
                    </mat-form-field>
                  </div>
                  <div class="col-xl-6 ">
                    <mat-radio-group required [(ngModel)]="univ" name="etat" (change)="handleChange($event)">
                      <mat-radio-button value="true">{{'form.university' | translate }}</mat-radio-button>
                      <mat-radio-button value="false">{{'form.school' | translate }}</mat-radio-button>
                    </mat-radio-group>

                    <br>
                    <div *ngIf="univ ==='true'">
                      <!-- <mat-form-field class="example-medium-width">
                        <mat-select matInput name="nom_universite" required
                          placeholder="{{'form.university' | translate }}" [(ngModel)]="profit.nom_universite"
                          (ngModelChange)="onChange($event)" #field_cars="ngModel">
                          <mat-option *ngFor="let food of universities" [value]="food.value">
                            {{food.value}}
                          </mat-option>
                        </mat-select>

                      </mat-form-field><br> -->
                      <mat-form-field class="example-full-width">
                        <input matInput type="text" placeholder="{{'form.university' | translate }}"
                          [(ngModel)]="profit.nom_universite" (ngModelChange)="onChange($event)"
                          placeholder="université" [formControl]="control" [matAutocomplete]="auto" required>
                        <mat-autocomplete #auto="matAutocomplete">
                          <mat-option *ngFor="let univs of filteredunivs | async" [value]="univs">
                            {{univs}}
                          </mat-option>
                        </mat-autocomplete>
                      </mat-form-field><br>

                      <br>
                      <mat-form-field>
                        <mat-label>{{'form.Specialty' | translate }}</mat-label>
                        <input matInput placeholder="{{'form.Specialty' | translate }}" type="text"
                          [(ngModel)]="profit.specialite" #uname="ngModel" maxlength="50" name="specialite" required />
                      </mat-form-field>
                    </div>
                    <div *ngIf="univ ==='false'">
                      <br>
                      <mat-form-field>
                        <mat-label>{{'form.schoolName' | translate }}</mat-label>
                        <input matInput placeholder="{{'form.schoolName' | translate }}" type="text"
                          [(ngModel)]="profit.etablissement" #uname="ngModel" maxlength="50" name="etablissement"
                          required />
                      </mat-form-field>
                    </div>
                    <br>
                    <mat-form-field>
                      <mat-label>{{'form.StudyLevel' | translate }}</mat-label>
                      <input matInput placeholder="{{'form.StudyLevel' | translate }}" type="text"
                        [(ngModel)]="profit.niveau_scolarite" #uname="ngModel" maxlength="30" name="niveau_scolarite"
                        required />
                    </mat-form-field>




                  </div>

                </div>

                <div>
                  <button mat-button matStepperNext>{{'form.next' | translate }}</button>
                </div>
              </form>
            </mat-step>
            <mat-step [stepControl]="userForm2">
              <form #userForm2="ngForm">
                <ng-template matStepLabel> {{'profiter.besoin' | translate }}
                </ng-template>
                <mat-form-field>
                  <mat-label>{{'profiter.besoin' | translate }}:</mat-label>
                  <input matInput type="text" [(ngModel)]="profit.besoin" #uname="ngModel" name="besoin" required />
                </mat-form-field><br>
                <mat-form-field>
                  <mat-label>{{'profiter.detailbesoin' | translate }}</mat-label>
                  <textarea matInput type="text" [(ngModel)]="profit.detail" #uname="ngModel" name="detail"
                    required></textarea>

                </mat-form-field><br>




                <div>
                  <button mat-button matStepperNext>{{'form.next' | translate }}</button>
                </div>
              </form>

            </mat-step>
            <mat-step [stepControl]="userForm3">
              <form #userForm3="ngForm">
                <ng-template matStepLabel> {{'profiter.coordonnées' | translate }}
                </ng-template>
                <!--     <mat-form-field>
                  <mat-label>{{'form.ville' | translate }}:</mat-label>
                  <input matInput placeholder="Ex: Ariana, Bizerte, Kef..." type="text" [(ngModel)]="profit.ville"
                    #uname="ngModel" maxlength="20" name="cite" required />
                </mat-form-field>
              -->
                <!-- <mat-form-field class="example-medium-width">
                        <mat-select matInput name="nom_universite" required
                          placeholder="{{'form.university' | translate }}" [(ngModel)]="profit.nom_universite"
                          (ngModelChange)="onChange($event)" #field_cars="ngModel">
                          <mat-option *ngFor="let food of universities" [value]="food.value">
                            {{food.value}}
                          </mat-option>
                        </mat-select>

                      </mat-form-field><br> -->
                <mat-form-field>
                  <mat-label>{{'form.ville' | translate }}:</mat-label>
                  <mat-select matInput name="nom_universite" required placeholder="{{'form.ville' | translate }}"
                    [(ngModel)]="profit.ville" (ngModelChange)="onChange($event)" #field_cars="ngModel">
                    <mat-option *ngFor="let food of foods" [value]="food.value">
                      {{food.viewValue}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>

                <br>
                <mat-form-field>
                  <mat-label>{{'form.adresse' | translate }}:</mat-label>
                  <input matInput placeholder="adresse" type="text" [(ngModel)]="profit.adresse" #uname="ngModel"
                    name="adresse" required />
                </mat-form-field>
                <br>
                <!--     <mat-form-field>
                  <mat-label>{{'form.codePostal' | translate }}:</mat-label>
                  <input matInput placeholder="code postal" type="number" [(ngModel)]="profit.codepostal"
                    #uname="ngModel" name="codepostal" required />
                </mat-form-field> -->
                <br>


                <div>
                  <button mat-button matStepperNext>{{'form.next' | translate }}</button>
                </div>
              </form>

            </mat-step>
            <mat-step>
              <ng-template matStepLabel>{{'form.next' | translate }}</ng-template>
              <p>{{'form.YouAreNowDone' | translate }}</p>
              <div>
                <button mat-button matStepperPrevious>{{'form.back' | translate }}</button>
                <button mat-button (click)="stepper.reset()">{{'form.reset' | translate }}</button>
                <button mat-button color="primary" (click)="submit()">{{'form.envoyerDemande' | translate }}</button>

              </div>
            </mat-step>
          </mat-horizontal-stepper>


        </div>
      </div>
    </div>
  </div>
</div>
<app-userfooter></app-userfooter>